<%= render 'layouts/header' %>

<div class="ui container segment">
  <h1 class="ui centered header">
    Rush Panel
  </h1>

  <% if @organization.in_rush? %>

    <div class="ui top attached tabular menu">
      <a class="active item" data-tab="overview">
        Overview
        <i class="address book outline icon"></i>
      </a>
      <a class="item" data-tab="vote">
        Vote
        <i class="checkmark box icon"></i>
      </a>
      <a class="item" data-tab="stats">
        Stats
        <i class="chart bar icon"></i>
      </a>
      <a class="item" data-tab="actions">
        Action Panel
        <i class="settings icon"></i>
      </a>
    </div>
    <div class="ui active bottom attached tab segment" data-tab="overview">
      <%= render 'rushees/overview' %>
    </div>
    <div class="ui bottom attached tab segment" data-tab="vote">
      <%= render 'rushees/vote' %>
    </div>
    <div class="ui bottom attached tab segment" data-tab="stats">
      <%= render 'rushees/stats' %>
    </div>
    <div class="ui bottom attached tab segment" data-tab="actions">
      <%= render 'rushees/actions' %>
    </div>

  <% else %>

    <div class="ui container segment">
      <h4 class="ui centered header">
        Your organization is currently not in rush. If you would like to enter rush, click the button below. This will cause a button to appear on the home page for all users. Rushees are cleared out after you end rush.
      </h4>
      <%= link_to "Begin Rush", organization_start_rush_path(@organization.id), method: :put, :class =>"ui fluid green button", :id => 'rush' %>
    </div>

  <% end %>
</div>

<%= render 'layouts/footer' %>
